# Fab Access

The backend implementation that handles access control for the FabLab. In order to test, a `.env` file with the following content must be created. A test setup can then be started using `docker-compose up --build`


```sh
KEYCLOAK_URL=auth.sfz-aalen.space
KEYCLOAK_USER_NAME=YOUR_USERNAME
KEYCLOAK_USER_PW=YOUR_PASSWORD
KEYCLOAK_REALM=master

DB_HOSTNAME=db
DB_USERNAME=postgres
DB_PASSWORD=postgres
DB_DATABASE=fab_access

MQTT_PORT=1883
MQTT_USERNAME=user
MQTT_PASSWORD=password
MQTT_BROKER=mqtt
MQTT_CLIENT=FabMan

MACHINES=[[1,"lasercutter","sfz.lasercutter.trotec"],[2,"kreissaege","sfz.holzwerkstatt.kreissaege"]]
```

